<?php
function valid_mail ($str) {
 return  (ereg ('(^[0-9a-zA-Z_\.-]{1,}@[0-9a-zA-Z_\-]{1,}\.[0-9a-zA-Z_\-]{2,}$)', $str));
}
?>
<html>
<head>
	<title>Op de hoogte blijven?</title>
</head>
<body>

<?php

if ($_POST["verzendbutton"] != "verzenden" || !valid_mail($_POST["mailadres"])) { 

echo "<h1>Aanmelden voor onze mailinglist</h1>";

echo "<form action=\"".$_SERVER["PHP_SELF"]."\" method=\"post\">";

if ($_POST["verzendbutton"] && !valid_mail($_POST["mailadres"])) {
		echo "<font color=\"red\">Vul hier uw mailadres correct in!</font>";
}
?>
E-mail: <input type="text" name="mailadres" value="<?php echo $_POST["mailadres"] ?>"><br>

<input type="submit" value="verzenden" name="verzendbutton">
</form>

<?php

} else {

$bestandsnaam = "mailadressen.txt";
$filehandle = fopen($bestandsnaam, "a");
fwrite($filehandle, $_POST["mailadres"]."\n");
fclose($filehandle);


	echo "<br><p>Bedankt, u bent aangemeld op ".$_POST["mailadres"]."<br>";

}

?>
</body>
</html>
